Bug 750917 - Can't update a drift template
Can't update a drift template
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: drift (Show other bugs)
4.1
Unspecified Unspecified
high Severity high (vote)
: ---
: JON 3.0.0,RHQ 4.3.0
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: 707225
  Show dependency treegraph
 
Reported: 2011-11-02 15:46 EDT by Mike Foley
Modified: 2012-02-07 14:19 EST (History)
2 users (show)

See Also:
Fixed In Version: 4.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 14:19:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Foley 2011-11-02 15:46:32 EDT
Description of problem:  Can't update a drift template.  There is no Save button

Repro steps:
1) Administration-->Drift Templates
2) click on an existing Drift Template

Actual results:
no save button


Expected results:
save button

Additional info:
related to BZ 749899 (but 749899 is for drift template deletion only)
Comment 1 Mike Foley 2011-11-02 15:47:43 EDT
correction:  there is a save button, but it does not work.
Comment 2 Jay Shaughnessy 2011-11-11 17:22:49 EST
This may just be a lack of wiring the button to the server-side call.
Comment 3 Jay Shaughnessy 2011-11-16 11:38:16 EST
master      commit 00c9fede1a51ecab6fab399d45760da276eedaa9
release_3.x commit 077a6d522cb1d7d364d67f983303fbd805eea3b8
Comment 4 Sunil Kondkar 2011-11-17 05:42:50 EST
Verified on build#88 (Version: 4.2.0.JON300-SNAPSHOT Build Number: 292cf4c)

Modified the 'interval' property value of existing drift template. The Save button is enabled. Clicked on the Save button. Verified that it displays a message "Drift template updated and changes pushed to attached definitions." in UI and message center. Verified that it updated the change in attached definition and no detached definition is modified at the resource.
Comment 5 Mike Foley 2012-02-07 14:19:16 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.